Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity.cache
Class CachedLDAPRoleModuleWrapper

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.RoleModuleService
              org.jboss.portal.identity.ldap.LDAPRoleModule
                  org.jboss.portal.core.identity.cache.CachedLDAPRoleModuleWrapper

All Implemented Interfaces:
  org.jboss.portal.identity.RoleModule

    public class CachedLDAPRoleModuleWrapper

extends org.jboss.portal.identity.ldap.LDAPRoleModule
implements org.jboss.portal.identity.RoleModule

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`CachedLDAPRoleModuleWrapper(org.jboss.portal.identity.ldap.LDAPRoleModule ldapRoleModule, IdentityCacheService cacheService)`

Method Summary
`org.jboss.portal.identity.Role` | `createRole(java.lang.String name, java.lang.String displayName)`
`org.jboss.portal.identity.ldap.LDAPRoleImpl` | `createRoleInstance(javax.naming.directory.Attributes attrs, java.lang.String dn)`
`org.jboss.portal.identity.Role` | `findRoleByDN(java.lang.String dn)`
`org.jboss.portal.identity.Role` | `findRoleById(java.lang.Object id)`
`org.jboss.portal.identity.Role` | `findRoleById(java.lang.String id)`
`org.jboss.portal.identity.Role` | `findRoleByName(java.lang.String name)`
`java.util.Set` | `findRoles()`
`java.util.Set` | `findRolesByNames(java.lang.String[] names)`
`int` | `getRolesCount()`
`void` | `removeRole(java.lang.Object id)`
`java.util.List` | `searchRoles(java.lang.String filter, java.lang.Object[] filterArgs)`
`void` | `updateDisplayName(org.jboss.portal.identity.ldap.LDAPRoleImpl ldapr, java.lang.String name)`

Methods inherited from class org.jboss.portal.identity.ldap.LDAPRoleModule
`getConnectionContext, getContainerDN, getDisplayNameAttributeID, getRidAttributeID, getRoleCtxDN, getRoleSearchFilter, getSearchScope, getSearchTimeLimit, setConnectionContext, start`

Methods inherited from class org.jboss.portal.identity.service.RoleModuleService
`fireRoleCreatedEvent, fireRoleDestroyedEvent, fireRoleUpdatedEvent`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedLDAPRoleModuleWrapper

    public CachedLDAPRoleModuleWrapper(org.jboss.portal.identity.ldap.LDAPRoleModule ldapRoleModule,
                                       IdentityCacheService cacheService)

Method Detail

### findRoleByName

    public org.jboss.portal.identity.Role findRoleByName(java.lang.String name)
                                                  throws org.jboss.portal.identity.IdentityException,
                                                         java.lang.IllegalArgumentException

  Specified by:
    `findRoleByName` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### findRolesByNames

    public java.util.Set findRolesByNames(java.lang.String[] names)
                                   throws org.jboss.portal.identity.IdentityException,
                                          java.lang.IllegalArgumentException

  Specified by:
    `findRolesByNames` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### findRoleById

    public org.jboss.portal.identity.Role findRoleById(java.lang.Object id)
                                                throws org.jboss.portal.identity.IdentityException,
                                                       java.lang.IllegalArgumentException

  Specified by:
    `findRoleById` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### findRoleById

    public org.jboss.portal.identity.Role findRoleById(java.lang.String id)
                                                throws org.jboss.portal.identity.IdentityException,
                                                       java.lang.IllegalArgumentException

  Specified by:
    `findRoleById` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### createRole

    public org.jboss.portal.identity.Role createRole(java.lang.String name,
                                                     java.lang.String displayName)
                                              throws org.jboss.portal.identity.IdentityException,
                                                     java.lang.IllegalArgumentException

  Specified by:
    `createRole` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### removeRole

    public void removeRole(java.lang.Object id)
                    throws org.jboss.portal.identity.IdentityException,
                           java.lang.IllegalArgumentException

  Specified by:
    `removeRole` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

### getRolesCount

    public int getRolesCount()
                      throws org.jboss.portal.identity.IdentityException

  Specified by:
    `getRolesCount` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`

### findRoles

    public java.util.Set findRoles()
                            throws org.jboss.portal.identity.IdentityException

  Specified by:
    `findRoles` in interface `org.jboss.portal.identity.RoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`

### searchRoles

    public java.util.List searchRoles(java.lang.String filter,
                                      java.lang.Object[] filterArgs)
                               throws javax.naming.NamingException,
                                      org.jboss.portal.identity.IdentityException

  Specified by:
    `searchRoles` in class `org.jboss.portal.identity.ldap.LDAPRoleModule`
  Throws:
    `javax.naming.NamingException`
    `org.jboss.portal.identity.IdentityException`

### updateDisplayName

    public void updateDisplayName(org.jboss.portal.identity.ldap.LDAPRoleImpl ldapr,
                                  java.lang.String name)
                           throws org.jboss.portal.identity.IdentityException

  Overrides:
    `updateDisplayName` in class `org.jboss.portal.identity.ldap.LDAPRoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`

### createRoleInstance

    public org.jboss.portal.identity.ldap.LDAPRoleImpl createRoleInstance(javax.naming.directory.Attributes attrs,
                                                                          java.lang.String dn)
                                                                   throws org.jboss.portal.identity.IdentityException

  Overrides:
    `createRoleInstance` in class `org.jboss.portal.identity.ldap.LDAPRoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`

### findRoleByDN

    public org.jboss.portal.identity.Role findRoleByDN(java.lang.String dn)
                                                throws org.jboss.portal.identity.IdentityException,
                                                       java.lang.IllegalArgumentException

  Overrides:
    `findRoleByDN` in class `org.jboss.portal.identity.ldap.LDAPRoleModule`
  Throws:
    `org.jboss.portal.identity.IdentityException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD